import QtQuick 1.0
import "../common"

SidebarComponent {
    property alias text: textContent.text
    property alias fontSize: textContent.fontSize
    property bool fullyVisible: y >= container.contentY && (y + height <= container.contentY + container.height)
    height: textContent.height + 12

    TextCustom {
        id: textContent
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
        wrapMode: Text.Wrap
        color: "white"
        fontSize: "small"
    }

    Binding {
        target: container
        property: "scrollbarFocused"
        value: activeFocus
        when: activeFocus
    }

    Keys.onReturnPressed: {}

    Keys.onUpPressed: {
        if (!event.isAutoRepeat) {
            var top = first ? 0 : y
            if (container.contentY > top) {
                container.contentY = Math.max(container.contentY - 200, top)
            } else {
                event.accepted = false
            }
        }
    }

    Keys.onDownPressed: {
        if (!event.isAutoRepeat) {
            var bottom = y + height
            var containerBottom = container.contentY + container.height + spacing

            if (containerBottom < bottom) {
                container.contentY = Math.min(container.contentY + 200, bottom - container.height + spacing * 2)
            } else {
                event.accepted = false
            }
        }
    }
}
